Bug 473727 - Review Request: perl-Data-TreeDumper-Renderer-GTK - Gtk2::TreeView renderer for Data::TreeDumper
Review Request: perl-Data-TreeDumper-Renderer-GTK - Gtk2::TreeView renderer f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Tree...
:
Depends On: perl-Data-TreeDumper
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 23:20 EST by Chris Weyl
Modified: 2012-01-27 07:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-14 16:10:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-29 23:20:31 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Data-TreeDumper-Renderer-GTK.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Data-TreeDumper-Renderer-GTK-0.02-1.fc9.src.rpm

Description:
GTK-perl renderer for *Data::TreeDumper*.

This widget is the gui equivalent of Data::TreeDumper; it will display a
perl data structure in a TreeView, allowing you to fold and unfold child
data structures and get a quick feel for what's where. Right-clicking
anywhere in the view brings up a context menu, from which the user can
choose to expand or collapse all items.
Comment 1 Chris Weyl 2008-11-29 23:25:05 EST
This package is a dependency of App::Asciio.
Comment 2 Parag AN(पराग) 2008-12-08 21:55:29 EST
build http://koji.fedoraproject.org/koji/taskinfo?taskID=988405 failed with
Can't locate Term/Size.pm in @INC
Comment 4 Parag AN(पराग) 2008-12-10 04:06:52 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=988533
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a8ed69115c89247270b1210239a04f03  Data-TreeDumper-Renderer-GTK-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave nothing.
+ Package perl-Data-TreeDumper-Renderer-GTK-0.02-2.fc11 =>
  Provides: perl(Data::TreeDumper::Renderer::GTK) = 0.02
Requires: perl >= 0:5.006 perl(AutoLoader) perl(Data::TreeDumper) perl(Exporter) perl(Glib) perl(Gtk2) perl(base) perl(strict) perl(warnings)


APPROVED.
Comment 5 Chris Weyl 2008-12-10 14:31:27 EST
New Package CVS Request
=======================
Package Name: perl-Data-TreeDumper-Renderer-GTK
Short Description: Gtk2::TreeView renderer for Data::TreeDumper
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC:
Comment 6 Kevin Fenzi 2008-12-14 00:03:31 EST
cvs done.
Comment 7 Petr Pisar 2012-01-27 04:37:08 EST
Package Change Request
======================
Package Name: perl-Data-TreeDumper-Renderer-GTK
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 8 Gwyn Ciesla 2012-01-27 07:59:11 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.